OGRE-Next: Ogre::ErrorDialog Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ErrorDialog Class Reference
Core » General

Class for displaying the error dialog if Ogre fails badly. More...

`#include <OgreErrorDialogImpWinRT.h>`

## Public Member Functions
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ErrorDialog ()
| ~ErrorDialog ()
| ~ErrorDialog ()
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")
void | display (const String &errorMessage, String logName="")

## Detailed Description

Class for displaying the error dialog if Ogre fails badly.

## Constructor & Destructor Documentation

## ◆ ErrorDialog() [1/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [2/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [3/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [4/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [5/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [6/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [7/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ~ErrorDialog() [1/2]

Ogre::ErrorDialog::~ErrorDialog | ( |  | ) |
| inline

## ◆ ErrorDialog() [8/8]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ~ErrorDialog() [2/2]

Ogre::ErrorDialog::~ErrorDialog | ( |  | ) |
| inline

## Member Function Documentation

## ◆ display() [1/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [2/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [3/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [4/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [5/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [6/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [7/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [8/8]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = "" )

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

The documentation for this class was generated from the following files:

- Android/OgreErrorDialogImp.h
- WIN32/OgreErrorDialogImp.h
- Emscripten/OgreErrorDialogImp.h
- GLX/OgreErrorDialogImp.h
- gtk/OgreErrorDialogImp.h
- iOS/OgreErrorDialogImp.h
- OSX/OgreErrorDialogImp.h
- OgreErrorDialogImpWinRT.h